pia(1)

NAME
pia - play media files

SYNOPSIS
pia [ options ] movie

DESCRIPTION
pia is a small X11 tool which plays movie files.

OPTIONS
pia understands the usual toolkit options (-geometry + friends). Additional options are:

-h  display help text

-v  be verbose.

-debug
    enable debug messages.

-dsp <dev>
    Use OSS device <dev> for sound.

-noxv
    Disable Xvideo extension.

-nogl
    Disable OpenGL.

-noaudio
    Don't play sound.

-novideo
    Don't play video.

-slow n
    Slowdown video playback by factor n. n=2 doubles playback time, ... This also turns off audio playback.

SUPPORTED MOVIE FORMATS
Main purpose of this utility is to playback movie files recorded by xawtv, motv and streamer. It should be able to playback every AVI or QuickTime movie written by one of the mentioned utilities. Feel free to submit a bug report if this doesn't work for some file.

  QuickTime
pia uses libquicktime to decode quicktime movies, thus it should be able to decode and playback all movies with codecs supported by libquicktime.

  AVI
AVI support is very limited. Video: uncompressed RGB data (15 and 24 bpp) and mjpeg is supported. Audio: only uncompressed PCM data works.

  WAV
WAV files are playable too, with the same limitation like AVI audio: only uncompressed PCM data.

AUTHOR
Gerd Knorr <kraxel@bytesex.org>

COPYRIGHT
2002 Gerd Knorr

Copyright (C) 2002 Gerd Knorr <kraxel@bytesex.org>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.